PUT api/WorkflowChecklists/UpdateTruckingCompaniesAndPolicies
Request Information
URI Parameters
None.
Body Parameters
WorkflowChecklistEditXrefRelation| Name | Description | Type | Additional information |
|---|---|---|---|
| Operation | WorkflowChecklistEditXrefRelationOperation |
None. |
|
| GroupId | globally unique identifier |
None. |
|
| Name | string |
Required String length: inclusive between 0 and 500 |
|
| Description | string |
String length: inclusive between 0 and 1024 |
|
| TruckingCompany | GenericComboBox |
None. |
|
| Policy | GenericComboBox |
None. |
|
| ContactId | globally unique identifier |
None. |
|
| ObjectType | AllObjectType |
None. |
|
| WorkflowChecklist | GenericComboBox |
Required |
|
| Items | Collection of WorkflowChecklistEditXrefRelationItem |
Required |
Request Formats
application/json, text/json
Sample:
{
"operation": 1,
"groupId": "e2631af6-1456-44f7-8d14-42af6de6546f",
"name": "sample string 1",
"description": "sample string 2",
"truckingCompany": {
"text": "sample string 1",
"value": "b578183d-187b-4c0c-851e-88f2b8ff7bfc"
},
"policy": {
"text": "sample string 1",
"value": "b578183d-187b-4c0c-851e-88f2b8ff7bfc"
},
"contactId": "bd3177e9-101f-4034-8141-8a1b68ffd5bb",
"objectType": 0,
"workflowChecklist": {
"text": "sample string 1",
"value": "b578183d-187b-4c0c-851e-88f2b8ff7bfc"
},
"items": [
{
"workflowChecklistItem": {
"text": "sample string 1",
"value": "b578183d-187b-4c0c-851e-88f2b8ff7bfc"
},
"status": 0,
"dueDate": "2026-10-31T20:51:39.7493293-05:00"
},
{
"workflowChecklistItem": {
"text": "sample string 1",
"value": "b578183d-187b-4c0c-851e-88f2b8ff7bfc"
},
"status": 0,
"dueDate": "2026-10-31T20:51:39.7493293-05:00"
}
]
}
application/xml, text/xml
Sample:
<WorkflowChecklistEditXrefRelation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum.WorkflowChecklists">
<ContactId>bd3177e9-101f-4034-8141-8a1b68ffd5bb</ContactId>
<Description>sample string 2</Description>
<GroupId>e2631af6-1456-44f7-8d14-42af6de6546f</GroupId>
<Items>
<WorkflowChecklistEditXrefRelationItem>
<DueDate xmlns:d4p1="http://schemas.datacontract.org/2004/07/System">
<d4p1:DateTime>2026-11-01T01:51:39.7493293Z</d4p1:DateTime>
<d4p1:OffsetMinutes>-300</d4p1:OffsetMinutes>
</DueDate>
<Status>NotStarted</Status>
<WorkflowChecklistItem xmlns:d4p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
<d4p1:Text>sample string 1</d4p1:Text>
<d4p1:Value>b578183d-187b-4c0c-851e-88f2b8ff7bfc</d4p1:Value>
</WorkflowChecklistItem>
</WorkflowChecklistEditXrefRelationItem>
<WorkflowChecklistEditXrefRelationItem>
<DueDate xmlns:d4p1="http://schemas.datacontract.org/2004/07/System">
<d4p1:DateTime>2026-11-01T01:51:39.7493293Z</d4p1:DateTime>
<d4p1:OffsetMinutes>-300</d4p1:OffsetMinutes>
</DueDate>
<Status>NotStarted</Status>
<WorkflowChecklistItem xmlns:d4p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
<d4p1:Text>sample string 1</d4p1:Text>
<d4p1:Value>b578183d-187b-4c0c-851e-88f2b8ff7bfc</d4p1:Value>
</WorkflowChecklistItem>
</WorkflowChecklistEditXrefRelationItem>
</Items>
<Name>sample string 1</Name>
<ObjectType>Insured</ObjectType>
<Operation>Upsert</Operation>
<Policy xmlns:d2p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
<d2p1:Text>sample string 1</d2p1:Text>
<d2p1:Value>b578183d-187b-4c0c-851e-88f2b8ff7bfc</d2p1:Value>
</Policy>
<TruckingCompany xmlns:d2p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
<d2p1:Text>sample string 1</d2p1:Text>
<d2p1:Value>b578183d-187b-4c0c-851e-88f2b8ff7bfc</d2p1:Value>
</TruckingCompany>
<WorkflowChecklist xmlns:d2p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
<d2p1:Text>sample string 1</d2p1:Text>
<d2p1:Value>b578183d-187b-4c0c-851e-88f2b8ff7bfc</d2p1:Value>
</WorkflowChecklist>
</WorkflowChecklistEditXrefRelation>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>